diff options
author | Alper Yildirim <ayildirim@aselsan.com> | 2009-07-20 18:50:58 +0200 |
---|---|---|
committer | Thomas Petazzoni <thomas.petazzoni@free-electrons.com> | 2009-07-27 16:06:50 +0200 |
commit | 4b3e11b3e7d00881878f45cddbfe8f4bf07d1ebe (patch) | |
tree | 3740632b5196497242055f7ecdfe4be3c6210409 /package/config/lxdialog/check-lxdialog.sh | |
parent | ea536503331aea875e84ae598b4610fbd059f167 (diff) | |
download | buildroot-novena-4b3e11b3e7d00881878f45cddbfe8f4bf07d1ebe.tar.gz buildroot-novena-4b3e11b3e7d00881878f45cddbfe8f4bf07d1ebe.zip |
config: Update package/config to Kconfig 2.6.30
Update the package/config stuff with the code available in the Linux
kernel 2.6.30.
Signed-off-by: Alper Yildirim <ayildirim@aselsan.com>
Diffstat (limited to 'package/config/lxdialog/check-lxdialog.sh')
-rw-r--r-- | package/config/lxdialog/check-lxdialog.sh | 20 |
1 files changed, 12 insertions, 8 deletions
diff --git a/package/config/lxdialog/check-lxdialog.sh b/package/config/lxdialog/check-lxdialog.sh index 9681476b9..fcef0f59d 100644 --- a/package/config/lxdialog/check-lxdialog.sh +++ b/package/config/lxdialog/check-lxdialog.sh @@ -36,19 +36,23 @@ trap "rm -f $tmp" 0 1 2 3 15 # Check if we can link to ncurses check() { - echo "main() {}" | $cc -xc - -o $tmp 2> /dev/null + $cc -xc - -o $tmp 2>/dev/null <<'EOF' +#include CURSES_LOC +main() {} +EOF if [ $? != 0 ]; then - echo " *** Unable to find the ncurses libraries." 1>&2 - echo " *** make menuconfig require the ncurses libraries" 1>&2 - echo " *** " 1>&2 - echo " *** Install ncurses (ncurses-devel) and try again" 1>&2 - echo " *** " 1>&2 - exit 1 + echo " *** Unable to find the ncurses libraries or the" 1>&2 + echo " *** required header files." 1>&2 + echo " *** 'make menuconfig' requires the ncurses libraries." 1>&2 + echo " *** " 1>&2 + echo " *** Install ncurses (ncurses-devel) and try again." 1>&2 + echo " *** " 1>&2 + exit 1 fi } usage() { - printf "Usage: $0 [-check compiler options|-header|-library]\n" + printf "Usage: $0 [-check compiler options|-ccflags|-ldflags compiler options]\n" } if [ $# -eq 0 ]; then |